syntax = "proto3";
option go_package = ".;pb";
import "battle_msg.proto";

message DBEnchant {
  string id = 1;        //@go_tags(`bson:"_id"`) ID
  string uid = 2;       //@go_tags(`bson:"uid"`) 用户ID
  map<int32,int64> boss = 3; // key boss 类型 value 积分
  int32 buyCount = 4;//@go_tags(`bson:"buyCount"`) 购买次数
  int64 cTime = 5; //@go_tags(`bson:"cTime"`) 修改时间
  map<int32,int32> bossTime = 6; //@go_tags(`bson:"bossTime"`) 
  int64 recoveryTime = 7; //@go_tags(`bson:"recoveryTime"`) // 开始恢复的时间
}

// 排行榜
message DBEnchantRank {
  string id = 1;        //@go_tags(`bson:"_id"`) ID
  string uid = 2;       //@go_tags(`bson:"uid"`) 用户ID
  int32 bosstype = 3; // boss类型塔类型
  string nickname = 4;// 昵称
  int32 lv = 5; // 玩家等级
  int32 leadpos = 6; //队长位置
  repeated LineUp line = 7; // 阵容数据
  int32 costTime = 8; //@go_tags(`bson:"costTime"`) 闯关耗时 单位s
  int64 score = 9; //@go_tags(`bson:"score"`)
}